DimensionLineColor 属性 (ActiveX)
指定尺寸、引线或公差对象的尺寸线的颜色。 支持的平台:仅限 Windows 签名VBA: object.DimensionLineColor 属性值只读:不 类型:枚举acColor 使用介于 0 到 256 之间的颜色索引号,或此处列出的常量之一:
言论可以将颜色设置为从 0 到 256 的数字索引值并读取。为标准七种颜色以及 BYBLOCK 和 BYLAYER 名称提供了常量。 如果使用 ,AutoCAD 将以默认颜色(白色或黑色,具体取决于您的配置)绘制新对象,直到它们被分组到块中。在图形中插入块时,块中的对象将继承颜色属性的当前设置。acByBlock 如果使用 ,则新对象将采用绘制它们的图层的颜色。acByLayer 为尺寸对象指定颜色时,该颜色将应用于尺寸线、箭头和尺寸引线。
注意:此属性将覆盖给定尺寸、引线或公差对象的 DIMCLRD 系统变量的值。
例子VBA: Sub Example_DimensionLineColor() ' This example creates a Dim3PointAngular object in model space ' and changes the dimension line color to red using the DimensionLineColor property Dim DimPointAngularObj As AcadDim3PointAngular Dim AngleVertex(0 To 2) As Double Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double Dim TextPoint(0 To 2) As Double ' Define the new Dim3PointAngular object AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0 FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0 SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0 TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0 ' Create the new Dim3PointAngular object in model space Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint) ThisDrawing.Application.ZoomAll ' Read and display current dimension line color MsgBox "The dimension line color for this object is currently set to: " & DimPointAngularObj.DimensionLineColor ' Change the dimension line color DimPointAngularObj.DimensionLineColor = acRed ThisDrawing.Regen acAllViewports ' Read and display current dimension line color MsgBox "The dimension line color for this object is now set to: " & DimPointAngularObj.DimensionLineColor & " (Red)" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_DimensionLineColor() ;; This example creates a Dim3PointAngular object in model space ;; and changes the dimension line color to red using the DimensionLineColor property (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the new Dim3PointAngular object (setq AngleVertex (vlax-3d-point 0 0 0) FirstPoint (vlax-3d-point 2 2 0) SecondPoint (vlax-3d-point 1 4 0) TextPoint (vlax-3d-point 6 6 0)) ;; Create the new Dim3PointAngular object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq DimPointAngularObj (vla-AddDim3PointAngular modelSpace AngleVertex FirstPoint SecondPoint TextPoint)) (vla-ZoomAll acadObj) ;; Read and display current dimension line color (alert (strcat "The dimension line color for this object is currently set to: " (itoa (vla-get-DimensionLineColor DimPointAngularObj)))) ;; Change the dimension line color (vla-put-DimensionLineColor DimPointAngularObj acRed) (vla-Regen doc acAllViewports) ;; Read and display current dimension line color (alert (strcat "The dimension line color for this object is now set to: " (itoa (vla-get-DimensionLineColor DimPointAngularObj)) " (Red)")) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:42
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.